import { ProtractorBrowser } from 'protractor';
import { ILocation, ISize, IWebDriverOptionsCookie, Options, TargetLocator, Window } from 'selenium-webdriver';
import { ElementFinderSync } from './element-finder-sync';
export declare class BrowserSync {
    private _getBrowser;
    private readonly PAUSE_DEBUGGER_DELAY_MS;
    constructor(_getBrowser: () => ProtractorBrowser);
    getBrowser(): ProtractorBrowser;
    executeScript<T>(script: string | Function, ...varArgs: any[]): T;
    executeAsyncScript<T>(script: string | Function, ...varArgs: any[]): T;
    get(destination: string, timeout?: number): any;
    getAllWindowHandles(): string[];
    getWindowHandle(): string;
    getCurrentUrl(): string;
    close(): any;
    quit(): any;
    actions(): any;
    switchTo(): TargetLocatorSync;
    manage(): OptionsSync;
    takeScreenshot(): string;
    pause(): any;
    debugger(): any;
    forkAndSwitchToNewDriverInstance(useSameUrl?: boolean, copyMockModules?: boolean, copyConfigUpdates?: boolean): this;
    getProcessedConfig(): any;
    waitForAngularEnabled(enabled?: boolean): any;
}
export declare class TargetLocatorSync {
    private targetLocator;
    constructor(targetLocator: TargetLocator);
    window(nameOrHandle: string): void;
    frame(frameElement: ElementFinderSync): void;
    defaultContent(): void;
}
export declare class OptionsSync {
    private options;
    constructor(options: Options);
    addCookie(options: IWebDriverOptionsCookie): void;
    deleteAllCookies(): void;
    deleteCookie(name: string): void;
    getCookies(): IWebDriverOptionsCookie[];
    getCookie(name: string): IWebDriverOptionsCookie;
    window(): WindowSync;
}
export declare class WindowSync {
    private window;
    constructor(window: Window);
    getPosition(): ILocation;
    setPosition(x: number, y: number): void;
    getSize(): ISize;
    setSize(width: number, height: number): void;
    maximize(): void;
}
